YamahaSynth.com Forums

This is the place to talk about all things related to Yamaha Synthesizers!
  1. CassieDennis
  2. Sherlock Holmes
  3. Synews
  4. Saturday, 18 February 2017
The second article in the Get Connected series for setting up wireless MIDI interface for your Macintosh computer with the MD or UD-BT01 utilities is now available here.

Have questions or want to discuss the lesson? Use this discussion string to post your comments.

If you haven't checked out the first lesson - Get Connected - Part I now and get started detangling that collection of cables.
Responses (27)
Accepted Answer Pending Moderation
My MDUD app also updated my MD-BT01 to firmware 1.05, and it now reports as a "UD" device and, of course, does not work. Worked yesterday. I did run the app to change the device name as I have ordered another MD-BT01, and wanted to differentiate. Will try to find Yamaha customer support...
  1. more than a month ago
  2. Synews
  3. # 1
Accepted Answer Pending Moderation
Hi there,

today I tried to update my MD-BT01 but the app reported that a recoverable UD-BT01 firmware had been found.
I guess by clicking "update" the wrong firmware was installed on the MD-BT01, rendering it useless. It now shows up as an UD-BT01 on my iOS devices.
The LED flashes with incoming MIDI data over bluetooth, but no messages are sent to the connected synth. In addition, MIDI out does not seem to work anymore.

I deleted the iOS firmware app and tried to reinstall it from the Appstore but it has been temporarily removed, probably for good reasons.
It would be great if the iOS app could be updated in such a way that it would be possible to flash the correct firmware back onto the device.

Or how about providing a separate recovery app for affected owners that now have the wrong firmware on their devices?

Best greetings and thanks in advance,
G.
  1. more than a month ago
  2. Synews
  3. # 2
Accepted Answer Pending Moderation
Hey Luke. Awesome.

How did you initiate that? I’d like to get an exchange too.
  1. more than a month ago
  2. Synews
  3. # 3
Accepted Answer Pending Moderation
Glad to report that Yamaha executed an exchange for me. Thanks to the guys at customer support who understood the gravity of the issue and helped out. I hesitantly updated the new MD-BT01’s from 1.0.3 to 1.0.4 via the app without any issue. Now I’m just staying the hell away from the MDUD-BT01 app. FWIW, I’ve been wondering if renaming of the device may have caused an issue that led to the app not recognising the device as an MD — confusing it with a UD...but I really don’t know. I’m just very glad to have a working device after more than a month.
  1. more than a month ago
  2. Synews
  3. # 4
Accepted Answer Pending Moderation
Wow!!! You got a completely useless reply! Is that what Yamaha calls "support"? :o

Come on, Yamaha. Get onto this - we need a logical response that deals with the issue. Yamaha's app has broken the hardware we purchased and we now own tiny little plastic bricks.
Attachments (1)
  1. more than a month ago
  2. Synews
  3. # 5
Accepted Answer Pending Moderation
Received this helpful response :|. Not even sure what to do with this.


Hi Rich,

The only recommendation we have is to delete the app, restart the phone, and install. We have no information on another firmware update nor is there a way to revert once updated (for any iOS app).

Best Regards,
Greg Jackson
PAC Technical Support
Steinberg Technical Support
Yamaha Corporation of America
P.S. Please do not remove the " [ref: " in the Email Subject when replying to this email.
#02111860
-------------------------------------------------------------------
Firmware Update
Model: Md-BT01
Hi...

The latest Bluetooth app may have loaded the wrong firmware on my MD device. It now states the UD version and of course now does not work.

What can I do to revert or fix? I did notice the current app is not on the App Store. Indication a fix is coming?

Thanks for your help,
Rich
ref:_00D30F1z._5000Mn0PEU:ref
  1. more than a month ago
  2. Synews
  3. # 6
Accepted Answer Pending Moderation
I logged a support request 3 weeks ago...Got a reply after about a week saying that "the issue is being referred to engineering". Nothing else yet and the device is still a brick.
  1. more than a month ago
  2. Synews
  3. # 7
Bad Mister
Yamaha
Accepted Answer Pending Moderation
Now you just need to wait for their response.
  1. more than a month ago
  2. Synews
  3. # 8
Accepted Answer Pending Moderation
I have logged Yamaha support ticket:
Ref.#02111860ref:_00D30F1z._5000Mn0PEU:ref
  1. more than a month ago
  2. Synews
  3. # 9
Accepted Answer Pending Moderation
FYI...it appears the iOS app has been removed temporarily from the Apple App Store. Hoping a fix is coming :)
  1. more than a month ago
  2. Synews
  3. # 10
Accepted Answer Pending Moderation
Hey Bad Mister...

Sorry for the long delay. I’m still having issues.

The app states version 1.05 (though I have been told here the MD code is really only 1.04). Regardless, the app still thinks I have a UD device and is displaying version 1.05.
  1. more than a month ago
  2. Synews
  3. # 11
Accepted Answer Pending Moderation
Hey Luke...sorry to hear about the MD thing but kinda glad I wasn’t going nuts.

I’m gonna check in with Yamaha on this one too.
  1. more than a month ago
  2. Synews
  3. # 12
Accepted Answer Pending Moderation
This may be a question about the capabilities of Bluetooth rather than the MD-BT101.
Can the MD-BT101 control two devices at once for the sake of layering sounds or is that a limitation of bluetooth.
I have the 101 plugged into a KOrg Kronos, individually it controls my iPadmini4 and MacBook Pro Ableton Live plugin VST instruments. I wanted it to control both devices at the same time so I could layer sounds from the iPad and the MacBook together.
Is that possible? The MD-BT101 isn't seen in the preferences of both devices if one is already using it.

Thanks.
  1. more than a month ago
  2. Synews
  3. # 13
Bad Mister
Yamaha
Accepted Answer Pending Moderation
Please contact Yamaha Customer Support — they will be able to get the information on a fix (if and when there is one).
  1. more than a month ago
  2. Synews
  3. # 14
Accepted Answer Pending Moderation
I'm having the exact same issue as Rich as of last Friday. The iOS app seems to have flashed my MD with UD firmware. Not happy. Any fix yet?
  1. more than a month ago
  2. Synews
  3. # 15
Bad Mister
Yamaha
Accepted Answer Pending Moderation
You are saying 1.04
I’m saying 1.0.4

Is it just that you don’t want to type it correctly or does it *incorrectly* report 1.04, as well?
Can you post a screenshot of the MDUD-BT01 Utility?
https://yamahasynth.com/ask-a-question?controller=attachment&task=download&tmpl=component&id=1704

https://yamahasynth.com/ask-a-question?controller=attachment&task=download&tmpl=component&id=1705

I have tried lots of midi ports to see if I can get a different device.
? What MIDI Ports are you referring to?

Can you point me to where I log an official support ticket?
Not without knowing where you are. In general you can contact Yamaha through the corporate website Yamaha.com or look in the back of your Owner’s Manual for the Yamaha distributor nearest you.
  1. more than a month ago
  2. Synews
  3. # 16
Accepted Answer Pending Moderation
Oh...previously, before the last update, it correctly stated 1.04 and was working great.

I usually use with the KORG apps: module / gadget. And recently with Ravenscroft piano app. It worked wonderfully. Well, it did. ;)

And thanks so much for your help on this.
  1. more than a month ago
  2. Synews
  3. # 17
Accepted Answer Pending Moderation
When I plug in the MD device and launch the iOS utility, it finds a Bluetooth device but it displays the UD version and states it is version 1.05.

I have tried lots of midi ports to see if I can get a different device.

It’s almost as if the app updated my MD device with the UD firmware. So now nothing connects because the MD device will never send out data via the USB port of course.

Ugh.

Can you point me to where I log an official support ticket?
  1. more than a month ago
  2. Synews
  3. # 18
Bad Mister
Yamaha
Accepted Answer Pending Moderation
You should contact Yamaha Customer Support... I didn't know that was possible. Please contact them so they can open a "ticket" on the issue...

But just to be clear the MDUD-BT01 Utility is version 1.0.5
The firmware version of the MD-BT01 is 1.0.4

So what firmware does your unit report it has when you connect the MDUD-BT01 Utility ?
That is the screenshot of interest here...
What is it you are using it with (what application)?
  1. more than a month ago
  2. Synews
  3. # 19
Accepted Answer Pending Moderation
And just be clear, I have the MD device which plugs into the old fashioned midi 5-pin din port. It is not the UD usb version.

Except everything I connect it to thinks it is the UD device version. :(
  1. more than a month ago
  2. Synews
  3. # 20
  • Page :
  • 1
  • 2


There are no replies made for this post yet.
Be one of the first to reply to this post!
2021 © Yamaha Corporation of America and Yamaha Corporation. All rights reserved.